﻿using UnityEngine;
using System.Collections;

public class BoundaryFlipper : MonoBehaviour {

	void OnCollisionEnter2D(Collision2D col)
	{
		if(col.gameObject.layer == LayerMask.NameToLayer("Player")) 
		{
			int dir = 1;
			if(transform.position.x > col.transform.position.x)
				dir = -1;
				
			Rigidbody2D r2 = col.transform.GetComponent<Rigidbody2D>();
			r2.velocity = new Vector2(5f*dir, r2.velocity.y);
			
			col.transform.eulerAngles = new Vector3(0,0,(dir==1) ? 15 : 165);
			
			col.gameObject.GetComponent<PlayerStatus>().StunForSeconds(0.5f);
		}		
	}
	
}