﻿using UnityEngine;
using System.Collections;

public class FlightCamera : MonoBehaviour {
	
	public Transform Target;

	// Use this for initialization
	void Start () {
	
	}
	
	void Awake() {
		DontDestroyOnLoad(transform.gameObject);
	}
	
	// Update is called once per frame
	void Update () {
		Vector3 p = transform.position;
		Vector2 v = Target.GetComponent<Rigidbody2D>().velocity;
		transform.position = new Vector3(Target.position.x + 0.25f*v.x, p.y, p.z);
	}
}
