﻿using UnityEngine;
using System.Collections;

public class MeleeTrigger : MonoBehaviour {

	public JuiceDropper PlayerHitJuiceDropper;
	public int Damage = 1;
	
	
	void OnTriggerEnter2D(Collider2D col)
	{
		if(col.gameObject.layer == LayerMask.NameToLayer("Player")) 
		{
			HitPlayer();
			return;
		}
	}
	
	private void HitPlayer()
	{		
		GameObject pgo = GameObject.Find ("Player");
		PlayerStatus pstat = pgo.GetComponent<PlayerStatus>();
		if(!pstat.isInvulnerable())
		{
			PlayerHitJuiceDropper.StartDropping();			
			pstat.TakeDamage(Damage);
			Debug.Log(gameObject.name + " melee-hitting player for " + Damage + " leaving " + pstat.Health);
		}		
	}
}
