﻿using UnityEngine;
using System.Collections;

public class SplatTrigger : MonoBehaviour {

	// Use this for initialization
	void Start () {
		
	}
	
	void OnTriggerEnter2D(Collider2D col)
	{
		SplatTrigger otrig = col.gameObject.GetComponent<SplatTrigger>();
		if(otrig == null && col.gameObject.tag != "PlayerMouth" && col.gameObject.tag != "Weapon")
		{
			transform.GetComponent<Rigidbody2D>().isKinematic = true; // stop all physics movements
			transform.parent = col.transform;
			
			Collider2D mycollider = transform.GetComponent<Collider2D>();
			if(mycollider != null)
				mycollider.enabled = false;
				
			//Debug.Log("Splat disabling physics and binding to " + col.gameObject.name);
			
		}
	}
	
}
